    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


namespace Mod
{
        public class Mod
    {

        public static void Main()
        {
					
	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Soldier furry v1", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Soldier furry v1 frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Soldier furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head1.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Soldier furry v2", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Soldier furry v2 frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Soldier furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head2.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Soldier furry unmasked", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender without mask", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Soldier furry unmasked frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Soldier furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head1.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Medic furry", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Medic furry frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Medic furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head3.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Medic furry unmasked", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender without mask", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Medic furry unmasked frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Medic furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head3.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "General furry", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender and team leader", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("General furry frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("General furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head4.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "General furry unmasked", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender and team leader but without mask", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("General furry unmasked frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("General furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head4.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "General S furry", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender but you should not trust him", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("General S furry frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("General S furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head5.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "General S furry unmasked", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender without mask but you should not trust him", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("General S furry unmasked frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("General S furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head5.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Night division furry v1", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Night division furry v1 frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Night division furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head6.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Night division furry v2", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Night division furry v2 frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Night division furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head7.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Night division furry unmasked", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Furry defender without mask", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Night division furry unmasked frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Night division furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head6.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Impostor soldier furry", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "He has a terrible job but it is the worst one for furry defenders and they never know who is behind the mask", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Impostor soldier furry frame.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Impostor soldier furry.png");
                        var flesh = ModAPI.LoadTexture("ppg human flesh layer.png");
                        var bone = ModAPI.LoadTexture("ppg human bone layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(0f, 0f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head1.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(0.25f, 0.25f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";

                    }
                }
			);	
	
        }
    }
}